Dune and all Jane Street projects are now using MIT+DCO

announce
jbuilder
dune

#1

Hi,

I’m happy to announce that effective from today, Dune, ppxlib and all projects under the janestreet github organisation are now distributed under the MIT license!

Additionally, contributions to these projects are no longer governed by a CLA but instead by the Linux Foundation’s DCO. This should simplify the contribution process. If you are not familiar with the DCO, the various projects mentioned above contain a CONTRIBUTING.md file explaining how to proceed when submitting pull requests.

This move was motivated by the desire to use a simpler license and to simplify the contribution process. The previous license was Apache 2.0 and prevented use of our projects by others on a few occasions.

A big thanks to the Jane Street Legal and Compliance team who did all research work to find out whether the combination MIT+DCO was a suitable replacement which made this change possible.


#2

This is fantastic, thank you!


#3

Amazing! Thank you for your continued dedication to providing high quality software to the greater OCaml community.


#4

I can’t express how happy I am! Thank you, guys, this will make our life much easier.

Though I have a question, whether this re-licensing applies retrospectively to the releases of the Janestreet packages, for example, we need to vendor the ppxlib_ocamlbuild package that you guys have orphaned, and since it was released under Apache, we can’t put it into our own package, so we decided to create a separate package. So can we release it under the MIT license as well?


#5

I just saw your message. I pushed the old plugin to https://github.com/janestreet-deprecated/ppx_driver_ocamlbuild under the MIT license, so you should feel free to release it under MIT.


#6

Thanks a lot, this will indeed help us a lot.